import type { Address } from "viem";
import { useBytecode } from "wagmi";

export function useIsSmartAccount(address: string, chainId: number) {
	const { data } = useBytecode({
		address: address?.toLowerCase() as Address,
		chainId,
	});
	return !!data;
}
